Bug 1194607 - The foreman-tasks output should be logged into /var/log/foreman/ instead of /usr/share/foreman/tmp/pids/dynflow_executor.output
Summary: The foreman-tasks output should be logged into /var/log/foreman/ instead of /...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Infrastructure
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Ivan Necas
QA Contact: Corey Welton
URL: http://projects.theforeman.org/issues...
Whiteboard: Verified in Upstream
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-20 11:05 UTC by Ivan Necas
Modified: 2019-09-25 20:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 08:48:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 10477 None None None 2016-04-22 16:51:32 UTC
Red Hat Product Errata RHBA-2016:1500 normal SHIPPED_LIVE Red Hat Satellite 6.2 Base Libraries 2016-07-27 12:24:38 UTC

Description Ivan Necas 2015-02-20 11:05:50 UTC
Description of problem:
The foreman-tasks output should be logged into /var/log/foreman/ instead of /usr/share/foreman/tmp/pids/dynflow_executor.output. There might be very useful logs for debugging that don't get anywhere else and are not collected by the foreman-debug script. Putting it into the right location (+ adding to foreman-debug) should help

Comment 1 RHEL Program Management 2015-02-20 15:42:12 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Bryan Kearney 2015-05-11 21:21:42 UTC
This is an RFE, moving to 6.2

Comment 4 Bryan Kearney 2015-05-11 21:23:01 UTC
Created redmine issue http://projects.theforeman.org/issues/10477 from this bug

Comment 5 Bryan Kearney 2015-07-09 08:03:42 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/10477 has been closed
-------------
Ivan Necas
Applied in changeset commit:967db9ab2a7c6cfd58656a07121bd0dfb5bac15e.

Comment 6 Tazim Kolhar 2015-10-19 10:03:57 UTC
hi 

please provide verification steps.

thanks and regards,
Tazim

Comment 7 Tazim Kolhar 2015-10-21 10:15:14 UTC
*** This bug is verified in upstream.  This fix should eventually land in future downstream builds ***
Version Tested:

# rpm -qa  | grep foreman
nec-em17.rhts.eng.bos.redhat.com-foreman-client-1.0-1.noarch
foreman-1.11.0-0.develop.201510121538gitb6b977a.el7.noarch
tfm-rubygem-hammer_cli_foreman_docker-0.0.3-4.el7.noarch
nec-em17.rhts.eng.bos.redhat.com-foreman-proxy-client-1.0-1.noarch
tfm-rubygem-hammer_cli_foreman-0.4.0-1.201510071112git33fd59b.el7.noarch
foreman-debug-1.11.0-0.develop.201510121538gitb6b977a.el7.noarch
foreman-release-1.11.0-0.develop.201510121538gitb6b977a.el7.noarch
foreman-postgresql-1.11.0-0.develop.201510121538gitb6b977a.el7.noarch
foreman-vmware-1.11.0-0.develop.201510121538gitb6b977a.el7.noarch
tfm-rubygem-foreman_hooks-0.3.9-1.el7.noarch
tfm-rubygem-foreman-tasks-0.7.6-1.fm1_10.el7.noarch
tfm-rubygem-hammer_cli_foreman_tasks-0.0.8-1.el7.noarch
tfm-rubygem-foreman_bootdisk-6.0.0-2.fm1_10.el7.noarch
foreman-release-scl-1-1.el7.x86_64
foreman-libvirt-1.11.0-0.develop.201510121538gitb6b977a.el7.noarch
foreman-selinux-1.11.0-0.develop.201510071426git6234447.el7.noarch
foreman-ovirt-1.11.0-0.develop.201510121538gitb6b977a.el7.noarch
tfm-rubygem-hammer_cli_foreman_bootdisk-0.1.3-3.el7.noarch
tfm-rubygem-foreman_gutterball-0.0.1-3.el7.noarch
nec-em17.rhts.eng.bos.redhat.com-foreman-proxy-1.0-2.noarch
tfm-rubygem-foreman_discovery-4.1.0-1.fm1_10.el7.noarch
tfm-rubygem-foreman_docker-1.4.1-2.fm1_10.el7.noarch
foreman-proxy-1.11.0-0.develop.201510120849git5f36f2e.el7.noarch
foreman-compute-1.11.0-0.develop.201510121538gitb6b977a.el7.noarch
foreman-gce-1.11.0-0.develop.201510121538gitb6b977a.el7.noarch



steps:
The foreman-tasks output is logged into /var/log/foreman/
[root@nec-em17 foreman]# ls
dynflow_executor.log
dynflow_executor.log-20151016
dynflow_executor.output

Comment 11 errata-xmlrpc 2016-07-27 08:48:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1500


Note You need to log in before you can comment on or make changes to this bug.